using Model;
using Model.Stub;
using System.ComponentModel;
using System.Runtime.CompilerServices;

namespace Linaris;

public partial class FooterPage : ContentView, INotifyPropertyChanged
{
    private readonly Manager Manager = (Application.Current as App).Manager;

    public FooterPage()
    {
        InitializeComponent();
        BindingContext = Manager.CurrentPlaying;
    }


    public void RewindButton_Clicked(object sender, EventArgs e)
    {
        if (Manager.CurrentPlaylist == null || Manager.CurrentPlaying == null) return;
        Manager.PreviousTitle();
        Dispatcher.DispatchAsync(() =>
        {
            music.Source = Manager.CurrentPlaying.Path;
        });
    }

    public void NextButton_Clicked(object sender, EventArgs e)
    {
        if (Manager.CurrentPlaylist == null || Manager.CurrentPlaying == null) return;
        Manager.NextTitle();
        Dispatcher.DispatchAsync(() =>
        {
            music.Source = Manager.CurrentPlaying.Path;
        });
    }

    public void ShuffleButton_Clicked(object sender, EventArgs e)
    {
        Manager.Shuffle();
    }

    public void LoopButton_Clicked(object sender, EventArgs e)
    {
        Manager.Loop();
    }

    public void OnCompleted(object sender, EventArgs e)
    {
        if (Manager.CurrentPlaying == null) return;
        Manager.NextTitle();
        Dispatcher.DispatchAsync(() =>
        {
            music.Source = Manager.CurrentPlaying.Path;
        });
    }
}