using CommunityToolkit.Maui.Views;

namespace Linaris;

public partial class Layout : ContentView
{
	public Layout()
	{
		InitializeComponent();
	}

	private async void Go_Home(object sender, EventArgs e)
    {
        StopMusic();
        await Navigation.PopToRootAsync();
    }

	private async void Go_Playlists(object sender, EventArgs e)
    {
        StopMusic();
        await Navigation.PushAsync(new PlaylistsPage());
    }

	private async void Go_Back(object sender, EventArgs e)
    {
        StopMusic();
        await Navigation.PopAsync();
	}

	private async void Go_Files(object sender, EventArgs e)
    {
        StopMusic();
        await Navigation.PushAsync(new LocalFilesPage());
    }
    private void StopMusic()
	{
        var parentPage = GetParentPage(this);
        if (parentPage == null) return;
        ContentView footer = parentPage.FindByName<ContentView>("Footer");
        var musicElement = footer?.FindByName<MediaElement>("music");
        if (musicElement != null)
        {
            musicElement.Stop();
        }
    }

    private ContentPage GetParentPage(Element element)
    {
        Element parent = element?.Parent;
        while (parent != null)
        {
            if (parent is ContentPage contentPage)
            {
                return contentPage;
            }
            parent = parent.Parent;
        }
        return null;
    }
}