﻿using CommunityToolkit.Maui.Views;
using Model;
using System.Collections.ObjectModel;

namespace Linaris;

public partial class MainPage : ContentPage
{

	private readonly ObservableCollection<Album> albums = (Application.Current as App).Manager.GetAlbums();

    public ObservableCollection<Album> Albums
	{
		get => albums;
	}

	public MainPage()
	{
        InitializeComponent();
		BindingContext = this;
    }

	async void GoToAlbum(object sender, EventArgs e)
	{
		if (sender is Image image)
        {
			if (image.BindingContext is Album album)
            {
				(Application.Current as App).Manager.CurrentAlbum = album;
                await Navigation.PushAsync(new AlbumPage());
            }
        }
    }

    protected override void OnDisappearing()
    {
        base.OnDisappearing();
        ContentView footer = this.FindByName<ContentView>("Footer");
        var musicElement = footer?.FindByName<MediaElement>("music");
        if (musicElement != null)
        {
            musicElement.Stop();
        }
    }
}

