﻿using System.Collections.ObjectModel;
using System.Linq;

namespace Model.Stub;

public class StubAlbum
{
    public StubArtist StubArtist
    {
        get
        {
            return stubArtist;
        }
    }

    private readonly StubArtist stubArtist;

    public ObservableCollection<Album> Albums
    {
        get => albums;
    }

    private readonly ObservableCollection<Album> albums;

    public StubAlbum()
    {
        stubArtist = new StubArtist();
        albums = new ObservableCollection<Album>()
        {
            new Album("Adios Bahamas", "album1.jpg", StubArtist.GetArtistByName("Artist") ?? new Artist("Artist"), "Description d'Adios Bahamas", "Informations sur Adios Bahamas"),
            new Album("Album2", "album2.jpg", new Artist(), "", ""),
            new Album("Album3", "album3.jpg", new Artist(), "", ""),
            new Album("Album4", "album4.jpg", new Artist(), "", ""),
            new Album("Album5", "album5.jpg", new Artist(), "", ""),
            new Album("Album6", "album6.jpg", new Artist(), "", ""),
            new Album("Album7", "album7.png", new Artist(), "", ""),
            new Album("Album8", "album8.jpg", new Artist(), "", ""),
            new Album("Night Visions", "album9.jpg", StubArtist.GetArtistByName("Imagine Dragons") ?? new Artist("Imagine Dragons"), "", ""),
            new Album("Smoke & Mirrors", "album10.jpg", StubArtist.GetArtistByName("Imagine Dragons") ?? new Artist("Imagine Dragons"), "", ""),
            new Album("Evolve", "album11.jpg", StubArtist.GetArtistByName("Imagine Dragons") ?? new Artist("Imagine Dragons"), "", ""),
            new Album("Origins", "album12.jpg", StubArtist.GetArtistByName("Imagine Dragons") ?? new Artist("Imagine Dragons"), "", ""),
            new Album("Mercury Act 1", "album13.jpg", StubArtist.GetArtistByName("Imagine Dragons") ?? new Artist("Imagine Dragons"), "", ""),
            new Album("Mercury Act 2", "album14.jpg", StubArtist.GetArtistByName("Imagine Dragons") ?? new Artist("Imagine Dragons"), "", "")
        };
    }

    public ObservableCollection<Album> GetAlbums()
    {
        return albums;
    }
    public Album GetAlbumByName(string name)
    {
        foreach(Album album in albums)
        {
            if (name == album.Name)
            {
                return album;
            }
        }
        return null;
    }
    public void AddAlbum(Album album)
    {
        albums.Add(album);
    }
    public void RemoveAlbum(Album album)
    {
        albums.Remove(album);
    }
}
